/*-----------------------------------------------------------------------------
[名称]	ClipHistoryDlg.h
[概要]	クリップボード履歴管理ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-02-06	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_CLIPHISTORYDLG_H_INCLUDED_)
#define AFX_CLIPHISTORYDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//-----------------------------------------------------------------------------
// インクルード・不完全定義
//-----------------------------------------------------------------------------
class CClipHistory;


/*-----------------------------------------------------------------------------
[名称]	クリップボード履歴管理ダイアログ
[用途]	クリップボード履歴の一覧管理をするダイアログクラス。
[備考]	なし
-----------------------------------------------------------------------------*/
class CClipHistoryDlg : public CDialog
{
// コンストラクション
public:
	CClipHistoryDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ
	void Attach( CClipHistory* pHistory ){ m_plststrClipz = pHistory; };

	// 選択されたクリップボード履歴文字列の取得
	CString GetPasteString();

// ダイアログ データ
	//{{AFX_DATA(CClipHistoryDlg)
	enum { IDD = IDD_CLIPHISTORY };
	CButton	m_btnOK;
	CListCtrl	m_listHistory;
	CStatic	m_Image;
	//}}AFX_DATA

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CClipHistoryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CClipHistory*	m_plststrClipz;		// クリップボード履歴 [-] (-)

	// 履歴描画
	void DrawImage( CDC* pDC );

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CClipHistoryDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnClickCliphistoryList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnItemchangedCliphistoryList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_CLIPHISTORYDLG_H_INCLUDED_)
